//+------------------------------------------------------------------+
//|                                                     - MUTIAL.mq4 |
//|                                                          Sayrafi |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Sayrafi"
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
#property indicator_chart_window
//--- input parameters
input string   pair_1="EURUSD";
input datetime alarm_pair1=D'2018.06.01 0:0:0';
input string   pair_2="EURAUD";
input datetime alarm_pair2=D'2018.06.01 0:0:0';
input string   pair_3="EURNZD";
input datetime alarm_pair3=D'2018.06.01 0:0:0';

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping

//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---

ObjectDelete("pair1");
ObjectDelete("pair2");
ObjectDelete("pair3");
   

         if (TimeCurrent()>alarm_pair1 && TimeCurrent()<alarm_pair1+60)
         {
            {
            PlaySound("news");
            ObjectCreate("pair1", OBJ_LABEL, 0, 0, 0);
            ObjectSet("pair1",OBJPROP_BACK,1);
            ObjectSet("pair1",OBJPROP_ANGLE,45);
            ObjectSetText("pair1", pair_1, 17, "Arial", clrRed );
            ObjectSet("pair1",101,1);     ObjectSet("pair1",102,33);    ObjectSet("pair1",103,11);
            }
         }   

         if (TimeCurrent()>alarm_pair2 && TimeCurrent()<alarm_pair2+60)
         {
            {
            PlaySound("news");
            ObjectCreate("pair2", OBJ_LABEL, 0, 0, 0);
            ObjectSet("pair2",OBJPROP_BACK,1);
            ObjectSet("pair2",OBJPROP_ANGLE,45);
            ObjectSetText("pair2", pair_2, 17, "Arial", clrRed );
            ObjectSet("pair2",101,1);     ObjectSet("pair2",102,33);    ObjectSet("pair2",103,44);
            }
         }   

         if (TimeCurrent()>alarm_pair3 && TimeCurrent()<alarm_pair3+60)
         {
            {
            PlaySound("news");
            ObjectCreate("pair3", OBJ_LABEL, 0, 0, 0);
            ObjectSet("pair3",OBJPROP_BACK,1);
            ObjectSet("pair3",OBJPROP_ANGLE,45);
            ObjectSetText("pair3", pair_3, 17, "Arial", clrRed );
            ObjectSet("pair3",101,1);     ObjectSet("pair3",102,33);    ObjectSet("pair3",103,77);
            }
         }



            {
            ObjectCreate("MUTIAL", OBJ_LABEL, 0, 0, 0);
            ObjectSet("MUTIAL",OBJPROP_BACK,1);
            ObjectSet("MUTIAL",OBJPROP_ANGLE,0);
            ObjectSetText("MUTIAL", "MUTIAL", 14, "Arial", clrGreen );
            ObjectSet("MUTIAL",101,1);     ObjectSet("MUTIAL",102,33);    ObjectSet("MUTIAL",103,7);
            }






//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
